%define release %mkrel 3

Summary: 	Kbiff is a new mail notification utility
Name:   	kbiff
Version: 	3.8
Release: 	%release
Source0: 	%{name}-%{version}.tar.bz2
Source1:	kde-common-3.5-admin.tar.bz2
Patch1:		kbiff-3.8-fix-pics-installdir.patch
License:  	GPL
Group: 		Graphical desktop/KDE
Url:		http://www.granroth.org/kbiff/index.html
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	arts kdelibs-devel libjpeg-devel libpng-devel libxml-devel 

%description
KBiff is a "biff", or new mail notification utility. It is highly configurable
but very easy to use and set up. It tries to combine the best of the features
of most of the "other" biff programs out there. KBiff supports all major
mailbox formats: mbox (Berkely style), maildir, mh, POP3, IMAP4 and NNTP.


%prep
%setup  -q
# replace admin dir with latest kde 3.5 version to support new autoconf and automake
rm -rf admin
tar xjf %{SOURCE1}
%patch1 -p1 -b .installdir

%build
make -f admin/Makefile.common cvs

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%configure2_5x \
		--disable-rpath \
		--disable-debug \
		--with-xinerama \
		--with-fpic \
		--with-gnu-ld \
		--enable-final
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_datadir/config/
%makeinstall

# Create LMDK menu entries
install -d %buildroot/%_menudir/

kdedesktop2mdkmenu.pl %name "Networking/Mail" %buildroot/%_datadir/applnk/Internet/%name.desktop %buildroot/%_menudir/%name



#(peroyvind) remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_docdir}/HTML/*/kbiff/index.cache.bz2
rm -f $RPM_BUILD_ROOT%{_datadir}/locale/*/LC_MESSAGES/kbiff.mo

%find_lang %name

%clean
rm -fr %buildroot

%post
%{update_menus}
/sbin/ldconfig 

%postun
%{clean_menus} 
/sbin/ldconfig 

%files -f %name.lang
%defattr(-,root,root)
# Montel laurent 2001-03-28
#add just english doc because others doc
# are in kde-i18n package
%dir %_docdir/HTML/en/kbiff/
%doc %_docdir/HTML/en/kbiff/*.docbook
#%doc %_docdir/HTML/en/kbiff/*.bz2
%doc %_docdir/HTML/en/kbiff/common
%doc %_docdir/HTML/en/kbiff/kbiff.png

%dir %_docdir/HTML/de/kbiff/
%doc %_docdir/HTML/de/kbiff/common
%doc %_docdir/HTML/de/kbiff/*.docbook

%dir %_docdir/HTML/es/kbiff/
%doc %_docdir/HTML/es/kbiff/common
%doc %_docdir/HTML/es/kbiff/*.docbook

%dir %_docdir/HTML/fr/kbiff/
%doc %_docdir/HTML/fr/kbiff/common
%doc %_docdir/HTML/fr/kbiff/*.docbook


%_datadir/locale/*/LC_MESSAGES/*.mo

%_bindir/*
%_libdir/*.so
%_libdir/*.la
#
%dir %_datadir/apps/%{name}/
%dir %_datadir/apps/%{name}/pics/
%_datadir/apps/%{name}/pics/*.png
#
%_datadir/icons/locolor/16x16/apps/%name.png
%_datadir/icons/locolor/32x32/apps/%name.png
%_datadir/icons/hicolor/48x48/apps/%name.png
%_datadir/icons/hicolor/32x32/apps/%name.png
%_datadir/icons/hicolor/16x16/apps/%name.png
%_datadir/applnk/Internet/%name.desktop
%_menudir/%name
%_mandir/man1/*.bz2


%changelog
* Thu May 31 2007 Christiaan Welvaart <spturtle@mandriva.org> 3.8-3mdv2008.0
+ Revision: 33279
- fix build with current autotools
- Import kbiff



* Mon Aug 28 2006 Laurent MONTEL <lmontel@mandriva.com> 3.8-2mdk
- xdg menu

* Mon Oct 17 2005 Laurent MONTEL <lmontel@mandriva.com> 3.8-1mdk
- 3.8.0

* Mon Jul 12 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.7.1-4mdk
- Fix File section

* Fri Jul 08 2005 Laurent MONTEL <lmontel@mandriva.com> 3.7.1-3mdk
- Rebuild

* Wed May 04 2005 Laurent MONTEL <lmontel@mandriva.com> 3.7.1-2mdk
- Fix build under x86_64

* Fri Jun 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.7.1-1mdk
- 3.7.1

* Fri Jun  4 2004  <lmontel@n2.mandrakesoft.com> 3.7-3mdk
- Rebuild

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.7-2mdk
- Rebuild

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.7-1mdk
- 3.7

* Thu Jul 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.6.3-3mdk
- Rebuild

* Thu Jun 05 2003 Per yvind Karlsen <peroyvind@sintrax.net> 3.6.3-2mdk
- cross compile
- configure with libdir, mandir, xinerama, fpic, gnu-ld
- rm -rf $RPM_BUILD_ROOT in %%install
- use %%makeinstall_std macro
- actually build in %%build stage

* Fri Nov 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.6.3-1mdk
- 3.6.3

* Sun Nov 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.6.2-1mdk
- 3.6.2

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.6.1-4mdk
- Rebuild against gcc-3.2

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.6.1-3mdk
- Rebuild against gcc-3.2

* Sat Jun 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.6.1-2mdk
- Rebuild

* Thu May 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.6.1-1mdk
- Update code for kde3.0

* Sat Jan 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.5.4-3mdk
- Add missing files
- Make rpmlint happy

* Wed Jan 2 2002 Stefan van der Eijk <stefan@eijk.nu> 3.5.4-2mdk
- BuildRequires: arts

* Fri Nov 09 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.5.4-1mdk
- Update code (3.5.4)

* Mon Nov  5 2001 Stefan van der Eijk <stefan@eijk.nu> 3.5.2-2mdk
- BuildRequires revisited

* Wed Oct 24 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.5.2-1mdk
- Update code (3.5.2)

* Fri Oct 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.5.1-1mdk
- Update code (3.5.1)

* Thu Sep 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.5-1mdk
- Update code (3.5)

* Thu Sep 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.2-2mdk
- Rebuild

* Tue May 22 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.2-1mdk
- Update code (3.4.2)

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 3.4-4mdk
- Move KDE menu entry in %%_datadir/applnk
- Use more macro
- Don't delete usefull links for documentation
- Rebuild against latest GCC

* Sat Mar 31 2001 David BAUDENS <baudens@mandrakesoft.com> 3.4-3mdk
- Fix BuildRequires for non %%ix86 architectures

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4-2mdk
- Add build requires

* Tue Mar 27 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4-1mdk
- Update code

* Fri Mar 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- Update code

* Wed Mar 14 2001 David BAUDENS <baudens@mandrakesoft.com> 3.3.1-2mdk
- Rebuild agains Qt 2.3.0

* Thu Jan 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-1mdk
- Update code

* Thu Dec 07 2000 Laurent Montel <lmontel@mandrakesoft.com> 3.3-2mdk
- Fix package

* Mon Nov 22 2000 Laurent Montel <lmontel@mandrakesoft.com> 3.3-1mdk
- Initial package fix compile with gcc-2.96
